#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"

/* SWITCH1 */
#define SWITCH1__0__MASK 0x01u
#define SWITCH1__0__PC CYDEV_IO_PC_PRT0_PC0
#define SWITCH1__0__PORT 0
#define SWITCH1__0__SHIFT 0
#define SWITCH1__AG CYDEV_IO_PRT_PRT0_AG
#define SWITCH1__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define SWITCH1__BIE CYDEV_IO_PRT_PRT0_BIE
#define SWITCH1__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define SWITCH1__BYP CYDEV_IO_PRT_PRT0_BYP
#define SWITCH1__CTL CYDEV_IO_PRT_PRT0_CTL
#define SWITCH1__DM0 CYDEV_IO_PRT_PRT0_DM0
#define SWITCH1__DM1 CYDEV_IO_PRT_PRT0_DM1
#define SWITCH1__DM2 CYDEV_IO_PRT_PRT0_DM2
#define SWITCH1__DR CYDEV_IO_PRT_PRT0_DR
#define SWITCH1__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define SWITCH1__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define SWITCH1__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define SWITCH1__MASK 0x01u
#define SWITCH1__PORT 0
#define SWITCH1__PRT CYDEV_IO_PRT_PRT0_PRT
#define SWITCH1__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define SWITCH1__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define SWITCH1__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define SWITCH1__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define SWITCH1__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define SWITCH1__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define SWITCH1__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define SWITCH1__PS CYDEV_IO_PRT_PRT0_PS
#define SWITCH1__SHIFT 0
#define SWITCH1__SLW CYDEV_IO_PRT_PRT0_SLW

/* LED1 */
#define LED1__0__MASK 0x02u
#define LED1__0__PC CYDEV_IO_PC_PRT0_PC1
#define LED1__0__PORT 0
#define LED1__0__SHIFT 1
#define LED1__AG CYDEV_IO_PRT_PRT0_AG
#define LED1__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define LED1__BIE CYDEV_IO_PRT_PRT0_BIE
#define LED1__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define LED1__BYP CYDEV_IO_PRT_PRT0_BYP
#define LED1__CTL CYDEV_IO_PRT_PRT0_CTL
#define LED1__DM0 CYDEV_IO_PRT_PRT0_DM0
#define LED1__DM1 CYDEV_IO_PRT_PRT0_DM1
#define LED1__DM2 CYDEV_IO_PRT_PRT0_DM2
#define LED1__DR CYDEV_IO_PRT_PRT0_DR
#define LED1__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define LED1__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define LED1__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define LED1__MASK 0x02u
#define LED1__PORT 0
#define LED1__PRT CYDEV_IO_PRT_PRT0_PRT
#define LED1__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define LED1__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define LED1__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define LED1__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define LED1__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define LED1__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define LED1__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define LED1__PS CYDEV_IO_PRT_PRT0_PS
#define LED1__SHIFT 1
#define LED1__SLW CYDEV_IO_PRT_PRT0_SLW

/* Miscellaneous */
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYDEV_MFGCFG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_VDDA 5.5
#define CYDEV_VDDA_MV 5500
#define CYDEV_VDDD 5.5
#define CYDEV_VDDD_MV 5500
#define CYDEV_VIO0 5.5
#define CYDEV_VIO0_MV 5500
#define CYDEV_VIO1 5.5
#define CYDEV_VIO1_MV 5500
#define CYDEV_VIO2 5.5
#define CYDEV_VIO2_MV 5500
#define CYDEV_VIO3 5.5
#define CYDEV_VIO3_MV 5500
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
