/* ========================================
 *
 * 	Laurent Proust
 *	Commande d'afficheur OLED : ver 13/02/11  
 * ========================================
*/
#include <device.h>

void main()
{unsigned char commande1[]={'P',9,5,255,255},i;
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	UART_1_Start();//lancement UART (initialis?e dans le projet ? 115kbauds)
					//ATTENTION : NE PAS OUBLIER DE FORCER TX ? '1' (configure cy_pin->general->initial state '1')
		LCD_Char_1_Start();//lancement afficheur LCD 
	//CYGlobalIntEnable; /* Uncomment this line to enable global interrupts. */

/*configuration afficheur oled et initialisation */
reset_Write(0); //reset du module led
CyDelay(1);//delai 1ms (>10us requis)
reset_Write(1);//Abandon phase reset
CyDelay(2000);//attente de 2s avant de lancer l'identification de la vitesse de transfert
UART_1_PutChar(0x55);//commande d'identification de la vitesse de transfert

while (UART_1_GetChar()!=6){;} // d?tection de commande bien ex?cut?e
/*fin initialisation */


/* un peu de d?corum */
LCD_Char_1_Position(0,0);
LCD_Char_1_PrintString("Bonjour"); //affichage 'bonjour'
/*fin du d?corum */


        UART_1_PutChar('E'); //effacement de l'?cran
		while (UART_1_GetChar()!=6){;}//commande ex?cut?e
		CyDelay(100);//attente

    while(1)
    {

		
		/*Affichage premiere photo m?moire flash du module oled
		m?moire flash du module programm?e avec 4D serial commander 1.1*/ 
		
		/*Display Image/Icon from Memory Card (@I) (extrait manuel oled
		Syntax : extCmd, cmd, x, y, width, height, colourMode, SectorAddress(hi:mid:lo)
		extCmd : 40hex, @ascii
		cmd : 49hex, Iascii
		x : Screen horizontal start position (top left corner)
		y : Screen vertical start position (top left corner)
		width : horizontal size of the Image/Icon
		height : vertical size of the Image/Icon
		colourMode : 8dec = 256 colour mode, 8bits/1byte per pixel
		16dec = 65K colour mode, 16bits/2bytes per pixel
		SectorAddress(hi:mid:lo): A 3 byte memory card sector address of a previously
		stored Image or an Icon that is about to be displayed.
		*/
			
			UART_1_PutChar(0x40); //voir commentaires plus haut
			UART_1_PutChar(0x49);
			UART_1_PutChar(0x01);
			UART_1_PutChar(0x01);
			UART_1_PutChar(94);
			UART_1_PutChar(62);
			UART_1_PutChar(16);
			UART_1_PutChar(0x00);
			UART_1_PutChar(0x03);
			UART_1_PutChar(0xE8);
			while (UART_1_GetChar()!=6)	{;}//commande ex?cut?e
		/*fin affichage */
		CyDelay(1000);//attente	
		
		/*Affichage deuxieme photo m?moire flash du module oled*/
		//"extCmd, cmd, x, y, width, height, colourMode, SectorAddress(hi:mid:lo)"
			UART_1_PutChar(0x40); 
			UART_1_PutChar(0x49);
			UART_1_PutChar(0x01);
			UART_1_PutChar(0x01);
			UART_1_PutChar(95);
			UART_1_PutChar(63);
			UART_1_PutChar(16);
			UART_1_PutChar(0x00);
			UART_1_PutChar(0x07);
			UART_1_PutChar(0xd0);
			while (UART_1_GetChar()!=6)	{;}//commande ex?cut?e
		/*Fin Affichage*/
		CyDelay(1000);//attente

		
		
		
    }
}

/* [] END OF FILE */
