.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* ADC_ADC_SAR */
.set ADC_ADC_SAR__CLK, CYREG_SAR0_CLK
.set ADC_ADC_SAR__CSR0, CYREG_SAR0_CSR0
.set ADC_ADC_SAR__CSR1, CYREG_SAR0_CSR1
.set ADC_ADC_SAR__CSR2, CYREG_SAR0_CSR2
.set ADC_ADC_SAR__CSR3, CYREG_SAR0_CSR3
.set ADC_ADC_SAR__CSR4, CYREG_SAR0_CSR4
.set ADC_ADC_SAR__CSR5, CYREG_SAR0_CSR5
.set ADC_ADC_SAR__CSR6, CYREG_SAR0_CSR6
.set ADC_ADC_SAR__CSR7, CYREG_SAR0_CSR7
.set ADC_ADC_SAR__PM_ACT_CFG, CYREG_PM_ACT_CFG11
.set ADC_ADC_SAR__PM_ACT_MSK, 0x01
.set ADC_ADC_SAR__PM_STBY_CFG, CYREG_PM_STBY_CFG11
.set ADC_ADC_SAR__PM_STBY_MSK, 0x01
.set ADC_ADC_SAR__SW0, CYREG_SAR0_SW0
.set ADC_ADC_SAR__SW2, CYREG_SAR0_SW2
.set ADC_ADC_SAR__SW3, CYREG_SAR0_SW3
.set ADC_ADC_SAR__SW4, CYREG_SAR0_SW4
.set ADC_ADC_SAR__SW6, CYREG_SAR0_SW6
.set ADC_ADC_SAR__TR0, CYREG_SAR0_TR0
.set ADC_ADC_SAR__TRIM__TR0, CYREG_FLSHID_MFG_CFG_SAR0_TR0
.set ADC_ADC_SAR__TRIM__TR1, CYREG_FLSHID_MFG_CFG_SAR0_TR1
.set ADC_ADC_SAR__WRK0, CYREG_SAR0_WRK0
.set ADC_ADC_SAR__WRK1, CYREG_SAR0_WRK1

/* ADC_theACLK */
.set ADC_theACLK__CFG0, CYREG_CLKDIST_DCFG0_CFG0
.set ADC_theACLK__CFG1, CYREG_CLKDIST_DCFG0_CFG1
.set ADC_theACLK__CFG2, CYREG_CLKDIST_DCFG0_CFG2
.set ADC_theACLK__CFG2_SRC_SEL_MASK, 0x07
.set ADC_theACLK__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set ADC_theACLK__PM_ACT_MSK, 0x01
.set ADC_theACLK__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set ADC_theACLK__PM_STBY_MSK, 0x01

/* LCD_LCDPort */
.set LCD_LCDPort__0__MASK, 0x01
.set LCD_LCDPort__0__PC, CYREG_PRT2_PC0
.set LCD_LCDPort__0__PORT, 2
.set LCD_LCDPort__0__SHIFT, 0
.set LCD_LCDPort__1__MASK, 0x02
.set LCD_LCDPort__1__PC, CYREG_PRT2_PC1
.set LCD_LCDPort__1__PORT, 2
.set LCD_LCDPort__1__SHIFT, 1
.set LCD_LCDPort__2__MASK, 0x04
.set LCD_LCDPort__2__PC, CYREG_PRT2_PC2
.set LCD_LCDPort__2__PORT, 2
.set LCD_LCDPort__2__SHIFT, 2
.set LCD_LCDPort__3__MASK, 0x08
.set LCD_LCDPort__3__PC, CYREG_PRT2_PC3
.set LCD_LCDPort__3__PORT, 2
.set LCD_LCDPort__3__SHIFT, 3
.set LCD_LCDPort__4__MASK, 0x10
.set LCD_LCDPort__4__PC, CYREG_PRT2_PC4
.set LCD_LCDPort__4__PORT, 2
.set LCD_LCDPort__4__SHIFT, 4
.set LCD_LCDPort__5__MASK, 0x20
.set LCD_LCDPort__5__PC, CYREG_PRT2_PC5
.set LCD_LCDPort__5__PORT, 2
.set LCD_LCDPort__5__SHIFT, 5
.set LCD_LCDPort__6__MASK, 0x40
.set LCD_LCDPort__6__PC, CYREG_PRT2_PC6
.set LCD_LCDPort__6__PORT, 2
.set LCD_LCDPort__6__SHIFT, 6
.set LCD_LCDPort__AG, CYREG_PRT2_AG
.set LCD_LCDPort__AMUX, CYREG_PRT2_AMUX
.set LCD_LCDPort__BIE, CYREG_PRT2_BIE
.set LCD_LCDPort__BIT_MASK, CYREG_PRT2_BIT_MASK
.set LCD_LCDPort__BYP, CYREG_PRT2_BYP
.set LCD_LCDPort__CTL, CYREG_PRT2_CTL
.set LCD_LCDPort__DM0, CYREG_PRT2_DM0
.set LCD_LCDPort__DM1, CYREG_PRT2_DM1
.set LCD_LCDPort__DM2, CYREG_PRT2_DM2
.set LCD_LCDPort__DR, CYREG_PRT2_DR
.set LCD_LCDPort__INP_DIS, CYREG_PRT2_INP_DIS
.set LCD_LCDPort__LCD_COM_SEG, CYREG_PRT2_LCD_COM_SEG
.set LCD_LCDPort__LCD_EN, CYREG_PRT2_LCD_EN
.set LCD_LCDPort__MASK, 0x7F
.set LCD_LCDPort__PORT, 2
.set LCD_LCDPort__PRT, CYREG_PRT2_PRT
.set LCD_LCDPort__PRTDSI__CAPS_SEL, CYREG_PRT2_CAPS_SEL
.set LCD_LCDPort__PRTDSI__DBL_SYNC_IN, CYREG_PRT2_DBL_SYNC_IN
.set LCD_LCDPort__PRTDSI__OE_SEL0, CYREG_PRT2_OE_SEL0
.set LCD_LCDPort__PRTDSI__OE_SEL1, CYREG_PRT2_OE_SEL1
.set LCD_LCDPort__PRTDSI__OUT_SEL0, CYREG_PRT2_OUT_SEL0
.set LCD_LCDPort__PRTDSI__OUT_SEL1, CYREG_PRT2_OUT_SEL1
.set LCD_LCDPort__PRTDSI__SYNC_OUT, CYREG_PRT2_SYNC_OUT
.set LCD_LCDPort__PS, CYREG_PRT2_PS
.set LCD_LCDPort__SHIFT, 0
.set LCD_LCDPort__SLW, CYREG_PRT2_SLW

/* ADC_IRQ */
.set ADC_IRQ__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set ADC_IRQ__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set ADC_IRQ__INTC_MASK, 0x1000
.set ADC_IRQ__INTC_NUMBER, 12
.set ADC_IRQ__INTC_PRIOR_NUM, 7
.set ADC_IRQ__INTC_PRIOR_REG, CYREG_NVIC_PRI_12
.set ADC_IRQ__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set ADC_IRQ__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* CAPT */
.set CAPT__0__MASK, 0x01
.set CAPT__0__PC, CYREG_PRT0_PC0
.set CAPT__0__PORT, 0
.set CAPT__0__SHIFT, 0
.set CAPT__AG, CYREG_PRT0_AG
.set CAPT__AMUX, CYREG_PRT0_AMUX
.set CAPT__BIE, CYREG_PRT0_BIE
.set CAPT__BIT_MASK, CYREG_PRT0_BIT_MASK
.set CAPT__BYP, CYREG_PRT0_BYP
.set CAPT__CTL, CYREG_PRT0_CTL
.set CAPT__DM0, CYREG_PRT0_DM0
.set CAPT__DM1, CYREG_PRT0_DM1
.set CAPT__DM2, CYREG_PRT0_DM2
.set CAPT__DR, CYREG_PRT0_DR
.set CAPT__INP_DIS, CYREG_PRT0_INP_DIS
.set CAPT__LCD_COM_SEG, CYREG_PRT0_LCD_COM_SEG
.set CAPT__LCD_EN, CYREG_PRT0_LCD_EN
.set CAPT__PORT, 0
.set CAPT__PRT, CYREG_PRT0_PRT
.set CAPT__PRTDSI__CAPS_SEL, CYREG_PRT0_CAPS_SEL
.set CAPT__PRTDSI__DBL_SYNC_IN, CYREG_PRT0_DBL_SYNC_IN
.set CAPT__PRTDSI__OE_SEL0, CYREG_PRT0_OE_SEL0
.set CAPT__PRTDSI__OE_SEL1, CYREG_PRT0_OE_SEL1
.set CAPT__PRTDSI__OUT_SEL0, CYREG_PRT0_OUT_SEL0
.set CAPT__PRTDSI__OUT_SEL1, CYREG_PRT0_OUT_SEL1
.set CAPT__PRTDSI__SYNC_OUT, CYREG_PRT0_SYNC_OUT
.set CAPT__PS, CYREG_PRT0_PS
.set CAPT__SLW, CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_MEMBER_5A, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 2
.set CYDEV_CHIP_DIE_PANTHER, 2
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_DIE_PANTHER
.set BCLK__BUS_CLK__HZ, 24000000
.set BCLK__BUS_CLK__KHZ, 24000
.set BCLK__BUS_CLK__MHZ, 24
.set CYDEV_BOOTLOADER_CHECKSUM, 0
.set CYDEV_BOOTLOADER_CHECKSUM_BASIC, 0
.set CYDEV_BOOTLOADER_CHECKSUM_CRC, 1
.set CYDEV_BOOTLOADER_WAIT_COMMAND, 1
.set CYDEV_BOOTLOADER_WAIT_TIME, 10
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x0E13C069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5A
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REV_PANTHER_ES1
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5A_ES1
.set CYDEV_CONFIG_FORCE_ROUTE, 0
.set CYDEV_CONFIG_UNUSED_IO, 0
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_DMA, 0
.set CYDEV_CONFIGURATION_ECC, 0
.set CYDEV_CONFIGURATION_IMOENABLED, 0
.set CYDEV_CONFIGURATION_MODE, 0
.set CYDEV_DATA_CACHE_ENABLED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x01
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DBG_DBE
.set CYDEV_DEBUGGING_DPS, 2
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_REQXRES, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_ECC_ENABLE, 0
.set CYDEV_HEAP_SIZE, 4096
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_STACK_SIZE, 16384
.set CYDEV_VDDA_MV, 5500
.set CYDEV_VDDD_MV, 5500
.set CYDEV_VDDIO0_MV, 5500
.set CYDEV_VDDIO1_MV, 5500
.set CYDEV_VDDIO2_MV, 5500
.set CYDEV_VDDIO3_MV, 5500
.set CYDEV_VIO0_MV, 5500
.set CYDEV_VIO1_MV, 5500
.set CYDEV_VIO2_MV, 5500
.set CYDEV_VIO3_MV, 5500
.set DMA_CHANNELS_USED__MASK0, 0x00000000
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
