// ======================================================================
// led_cligno.v generated from TopDesign.cysch
// 10/12/2010 at 19:42
// ======================================================================

`define CYDEV_CHIP_REV_PANTHER_ES1 1
`define CYDEV_CHIP_REV_LEOPARD ""
`define CYDEV_CHIP_REV_PANTHER "ES1"

// top
module top ;


	wire [0:0] tmpOE__SWITCH1_net;
	wire [0:0] tmpFB_0__SWITCH1_net;
	wire [0:0] tmpIO_0__SWITCH1_net;
	wire [0:0] tmpINTERRUPT_0__SWITCH1_net;
	electrical [0:0] tmpSIOVREF__SWITCH1_net;

	cy_psoc3_pins_v1_10
		#(.id("1425177d-0d0e-4468-8bcc-e638e5509a9b"),
		  .drive_mode(3'b010),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b1),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(2),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		SWITCH1
		 (.oe(tmpOE__SWITCH1_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__SWITCH1_net[0:0]}),
		  .io({tmpIO_0__SWITCH1_net[0:0]}),
		  .siovref(tmpSIOVREF__SWITCH1_net),
		  .interrupt({tmpINTERRUPT_0__SWITCH1_net[0:0]}));

	assign tmpOE__SWITCH1_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__LED1_net;
	wire [0:0] tmpFB_0__LED1_net;
	wire [0:0] tmpIO_0__LED1_net;
	wire [0:0] tmpINTERRUPT_0__LED1_net;
	electrical [0:0] tmpSIOVREF__LED1_net;

	cy_psoc3_pins_v1_10
		#(.id("ed092b9b-d398-4703-be89-cebf998501f6"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		LED1
		 (.oe(tmpOE__LED1_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__LED1_net[0:0]}),
		  .io({tmpIO_0__LED1_net[0:0]}),
		  .siovref(tmpSIOVREF__LED1_net),
		  .interrupt({tmpINTERRUPT_0__LED1_net[0:0]}));

	assign tmpOE__LED1_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};



endmodule

