#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_ADC_SAR */
#define ADC_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_ADC_SAR__CSR7 CYREG_SAR0_CSR7
#define ADC_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_ADC_SAR__TRIM__TR0 CYREG_FLSHID_MFG_CFG_SAR0_TR0
#define ADC_ADC_SAR__TRIM__TR1 CYREG_FLSHID_MFG_CFG_SAR0_TR1
#define ADC_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_IRQ__INTC_MASK 0x1000u
#define ADC_IRQ__INTC_NUMBER 12
#define ADC_IRQ__INTC_PRIOR_NUM 7
#define ADC_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define ADC_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* CAPT */
#define CAPT__0__MASK 0x01u
#define CAPT__0__PC CYREG_PRT0_PC0
#define CAPT__0__PORT 0
#define CAPT__0__SHIFT 0
#define CAPT__AG CYREG_PRT0_AG
#define CAPT__AMUX CYREG_PRT0_AMUX
#define CAPT__BIE CYREG_PRT0_BIE
#define CAPT__BIT_MASK CYREG_PRT0_BIT_MASK
#define CAPT__BYP CYREG_PRT0_BYP
#define CAPT__CTL CYREG_PRT0_CTL
#define CAPT__DM0 CYREG_PRT0_DM0
#define CAPT__DM1 CYREG_PRT0_DM1
#define CAPT__DM2 CYREG_PRT0_DM2
#define CAPT__DR CYREG_PRT0_DR
#define CAPT__INP_DIS CYREG_PRT0_INP_DIS
#define CAPT__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define CAPT__LCD_EN CYREG_PRT0_LCD_EN
#define CAPT__PORT 0
#define CAPT__PRT CYREG_PRT0_PRT
#define CAPT__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define CAPT__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define CAPT__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define CAPT__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define CAPT__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define CAPT__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define CAPT__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define CAPT__PS CYREG_PRT0_PS
#define CAPT__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 2
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_BOOTLOADER_CHECKSUM 0
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO 0
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_STACK_SIZE 16384
#define CYDEV_VDDA 5.5
#define CYDEV_VDDA_MV 5500
#define CYDEV_VDDD 5.5
#define CYDEV_VDDD_MV 5500
#define CYDEV_VDDIO0 5.5
#define CYDEV_VDDIO0_MV 5500
#define CYDEV_VDDIO1 5.5
#define CYDEV_VDDIO1_MV 5500
#define CYDEV_VDDIO2 5.5
#define CYDEV_VDDIO2_MV 5500
#define CYDEV_VDDIO3 5.5
#define CYDEV_VDDIO3_MV 5500
#define CYDEV_VIO0 5.5
#define CYDEV_VIO0_MV 5500
#define CYDEV_VIO1 5.5
#define CYDEV_VIO1_MV 5500
#define CYDEV_VIO2 5.5
#define CYDEV_VIO2_MV 5500
#define CYDEV_VIO3 5.5
#define CYDEV_VIO3_MV 5500
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
