/* ========================================
 *
 * Laurent Proust : Projet t?l?m?tre
 *
 * ========================================
*/
#include <device.h>

void main()
{	
	/*Declaration variables */
	float d;
	float q=0.00122;
	
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	ADC_Start();
	LCD_Start();
	LCD_ClearDisplay();
	
	LCD_Position(0, 0);
	LCD_PrintString("Projet telemetre");
	
    /* CYGlobalIntEnable; */ /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
	 /* Place your application code here. */
	ADC_StartConvert();//Lancement conversion
	ADC_IsEndConversion(ADC_WAIT_FOR_RESULT);//attente fin de conversion
	CyDelay(50);//delai 50 ms
	
	d=(12-0.42*ADC_GetResult16()*q)/(ADC_GetResult16()*q); //calcul de la distance
	LCD_Position(1, 0);//positionnement sur deuxi?me ligne affichage
	LCD_PrintString("d (cm) =        ");//pr?paration deuxi?me ligne affichage
	LCD_Position(1, 9);//positionnement 9 eme caractere
	
	if ((d<40)&&(d>4))
	{	LCD_PrintNumber(d);}//affichage de la distance
	else
	{	LCD_Position(1, 0);	
		LCD_PrintString("Hors limites");}
	
	
       
    }
}

/* [] END OF FILE */
